Subject: Re: bug#52276: 28.0.50; [PATCH] Scuttle compiler warning in image.c

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Dec 2021 23:28:25 +0100

dick <[email-masked]> writes:

> My bad: 
>
> gcc-10 (Ubuntu 10.3.0-1ubuntu1~18.04~1) 10.3.0

Ah, I see...  Ah!  I didn't see the warning on Debian stable because I
didn't have libwebp installed there.  And the compiler bug is apparently
gone in gcc 11.

But since the warning is manifesting in the current release of a major
distribution, I think adding a workaround is in order, and I'm applying
your patch to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no